class WallpaperQueue extends Array {
    constructor() {
        super();
    }
    enqueue(path) {
        if (this.includes(path) === false) {
            this.push(path);
        }
    }
    dequeue() {
        if (this.length === 0) {
            return null;
        }

        const index = Math.floor(Math.random() * (this.length * 0.8));
        const wallpaper = this.splice(index, 1)[0];
        this.push(wallpaper);
        return wallpaper;
    }
    remove(path) {
        const index = this.indexOf(path);

        if (index > -1) {
            this.splice(index, 1);
        }
    }
    clear() {
        this.length = 0;
    }
}
export default WallpaperQueue;
